Creates a high-contrast, two-color image

- « Imagick::raiseImage

- Imagick::readImage »

- PHP Manual
- Imagick
- Creates a high-contrast, two-color image

# Imagick::randomThresholdImage

(PECL imagick 2, PECL imagick 3)

Imagick::randomThresholdImage — Creates a high-contrast, two-color image

### Description

public Imagick::randomThresholdImage(float `$low`, float `$high`, int `$channel` = Imagick::CHANNEL_DEFAULT): bool

Changes the value of individual pixels based on the intensity of each pixel compared to threshold. The result is a high-contrast, two color image. This method is available if Imagick has been compiled against ImageMagick version 6.2.9 or newer.

### Parameters

`low`

  The low point

`high`

  The high point

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Refer to this list of channel constants.

### Return Values

Returns `true` on success.

### Examples

Example #1 Imagick::randomThresholdImage()

    <?phpfunction randomThresholdimage($imagePath, $lowThreshold, $highThreshold, $channel) {    $imagick = new \Imagick(realpath($imagePath));    $imagick->randomThresholdimage(        $lowThreshold * \Imagick::getQuantum(),        $highThreshold * \Imagick::getQuantum(),        $channel    );    header("Content-Type: image/jpg");    echo $imagick->getImageBlob();}?>